GET /dataset/search
Summary: Search datasets
Operation ID: searchDatasets
Auth: unknown
Operation ID: searchDatasets
Auth: unknown
Description
Search for datasets published to GBIF.
Parameters (8)
hostingOrg
(string, query, optional)
Hosting organization key
keyword
(string, query, optional)
Keyword filter
limit
(integer, query, optional, default: 20)
Number of results to return (max 1000)
Constraints: {'maximum': 1000}
offset
(integer, query, optional, default: 0)
Offset for pagination
publishingCountry
(string, query, optional)
Publishing country code (ISO 3166-1 alpha-2)
publishingOrg
(string, query, optional)
Publishing organization key
q
(string, query, optional)
Full-text search query
type
(string, query, optional)
Dataset type
Constraints: {'enum': ['OCCURRENCE', 'CHECKLIST', 'METADATA', 'SAMPLING_EVENT']}
Examples (4)
| Title | Type | URL | Action |
|---|---|---|---|
| Search datasets by keyword | curl |
https://api.gbif.org/v1/dataset/search?q=birds&limit=10 |
|
| Search occurrence datasets from Germany | curl |
https://api.gbif.org/v1/dataset/search?type=OCCURRENCE&publishingCountry=DE&limit=20 |
|
| Search checklist datasets with pagination | curl |
https://api.gbif.org/v1/dataset/search?q=plants&type=CHECKLIST&offset=0&limit=5 |
|
| Search Datasets | probe-gate |
https://api.gbif.org/v1/dataset/search?limit=20&offset=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:43:07.313074 | 200 | 189ms | |
| 2026-03-23 09:29:44.395797 | 200 | 223ms | |
| 2026-03-23 09:22:43.002014 | 200 | 148ms | |
| 2026-03-23 09:08:28.157418 | 200 | 156ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:22:43.002014 | 75cfdd186d8d |
21a195c93a45 |
| 2026-03-23 09:29:44.395797 | 21a195c93a45 |
e05aafdafa3e |
| 2026-03-23 10:43:07.313074 | e05aafdafa3e |
8c92e72d41f4 |